Introduction

Hach WIMS Exporter
Introduction

The Hach UDG1000TM WIMS Export Driver is used to summarize data from UDG1000 Input parameters and push that data to Hach WIMS Variables. Hach WIMS is a water/wastewater data management and reporting system (see www.hachwims.com for more information). For example, the 5 second data from the DO, pH, and Temperature Input Parameters can be exported as minutely averages, hourly maximums, etc…

The WIMS variable setup must match the UDG exporter settings, and follow specific rules in order to import data into Hach WIMS:

1. WIMS variable cannot be of Calculation type.

2. WIMS variable cannot be associated with an interface.

3. WIMS Frequency must match the UDG Frequency (Daily, hourly, fifteen minute, etc.)

4. WIMS Parameter type must match to a UDG Double or UDG Integer.

5. WIMS Text Parameter must match to a UDG String.

a. WIMS Limit-to-List rules apply. If the WIMS variable’s Limit to List box is checked, only values listed in the list will be imported. All other values will be ignored.

b. Numeric value equates to the position the text is in the list.

c. If not limited to list and not in list, numeric value is one (1)

6. UDG 1000 and this exporter do not handle data with data qualifiers

7. There is no unit conversion

WARNING: Exporting data to an Oracle Hach WIMS database is slow. The exporter averages 5 to 10 writes per second when exporting to an Oracle Hach WIMS Database (MS SQL Server not effected). Therefore, it is recommend to avoid using large amounts of minutely and 5 minute variables.

Copyright© 2013 Hach.com, All rights reserved.


Pre-requisites

Hach WIMS Exporter
Pre-requisites

1. UDG1000 Software is installed on PC with an Internet connection.

2. UDG1000 input parameters are setup and collecting data.

3. Hach WIMS facility and variables exist.

4. Must have connectivity to Hach WIMS DBMS.

Copyright© 2013 Hach.com, All rights reserved.


Setup

Hach WIMS Exporter
Setup

1. Add a new Exporter. From the UDG1000 Main Menu go to Output>Exporters and click Add.

2. Select “Hach WIMS" Exporter from the list. Enter a Name and click Add.

3. Select whether you are using SQL or Oracle WIMS DBMS

4. Enter the Data Source which sets which database server or named instance is hosting the WIMS database. It will be the same or similar to the Data Source connection used by Hach WIMS Client (see the HachWIMS_CONNECTION_DATASOURCE setting in your hach_wims_client.ini file).

a. Example for MS SQL: localhost\OPSSQL"

b. Example for Oracle: DatabaseServer/ORA11

5. Click Save.

6. Click Test connection to verify the connection. You should receive the following message:

7. From the UDG1000 Main Menu go to Output>Cross References

8. You will be prompted for the following. Note: The Frequency interval must match the Frequency in Hach WIMS. Daily for Daily variables, Hourly for Hourly Variables, etc.

9. If you select Daily Frequency, you will get the following options. NOTE: Data is always stored in WIMS on the date of the range start time. For example, you summarize data from 10 PM to 4 AM. At 4 AM on Nov 22nd, the exporter will summarize data from Nov 21st at 10 PM to Nov 22nd at 4 AM and place the calculated value in WIMS on the 21st.

10. Select the Parameter Name in the right hand window and click the Edit button – this will provide cross reference from this UDG Parameter to the WIMS Facility and Variable.

11. Enter the WIMS Facility Database Name and Variable ID (VarID, not the VarNum) as shown below and click Save.

12. To find the Facility Database name, open Hach WIMS Client and look the end of the title in the top bar.

13. To find the Variable ID, in Hach WIMS Client go into Edit/View Variables and look in the lower right hand corner.

14. Click Save from the UDG 1000 Edit Output Cross Reference window and your Parameter is ready to send Hach WIMS information. If there is data in the Input Parameter, you can select Manual Export to export the data into Hach WIMS.

Copyright© 2013 Hach.com, All rights reserved.